#include "LeaderPkg.h"

LeaderPkg::LeaderPkg(int a, bool ack) : TelepatiPkg(){
  type=LEADER;
  aibo=a;
  needAck=ack;
}

LeaderPkg::LeaderPkg(byte* ptr) : TelepatiPkg(ptr){
}


LeaderPkg::~LeaderPkg(){
}

TelepatiPkg* LeaderPkg::clone(){
  LeaderPkg* clone=new LeaderPkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}



byte* LeaderPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
